Index: uspace/lib/drv/generic/remote_battery_dev.c
===================================================================
--- uspace/lib/drv/generic/remote_battery_dev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_battery_dev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,7 +45,7 @@
  * @param status   Current status of the battery
  *
- * @return         EOK on success or an error code
+ * @return         EOK on success or a negative error code
  */
-errno_t
+int
 battery_status_get(async_sess_t *sess, battery_status_t *batt_status)
 {
@@ -54,5 +54,5 @@
 	async_exch_t *exch = async_exchange_begin(sess);
 
-	errno_t const rc = async_req_1_1(exch, DEV_IFACE_ID(BATTERY_DEV_IFACE),
+	int const rc = async_req_1_1(exch, DEV_IFACE_ID(BATTERY_DEV_IFACE),
 	    BATTERY_STATUS_GET, &status);
 
@@ -70,7 +70,7 @@
  * @param level    Battery charge level (0 - 100)
  *
- * @return         EOK on success or an error code
+ * @return         EOK on success or a negative error code
  */
-errno_t
+int
 battery_charge_level_get(async_sess_t *sess, int *level)
 {
@@ -79,5 +79,5 @@
 	async_exch_t *exch = async_exchange_begin(sess);
 
-	errno_t const rc = async_req_1_1(exch, DEV_IFACE_ID(BATTERY_DEV_IFACE),
+	int const rc = async_req_1_1(exch, DEV_IFACE_ID(BATTERY_DEV_IFACE),
 	    BATTERY_CHARGE_LEVEL_GET, &charge_level);
 
@@ -129,5 +129,5 @@
 
 	battery_status_t batt_status;
-	const errno_t rc = bops->battery_status_get(fun, &batt_status);
+	const int rc = bops->battery_status_get(fun, &batt_status);
 
 	if (rc != EOK)
@@ -155,5 +155,5 @@
 
 	int battery_level;
-	const errno_t rc = bops->battery_charge_level_get(fun, &battery_level);
+	const int rc = bops->battery_charge_level_get(fun, &battery_level);
 
 	if (rc != EOK)
Index: uspace/lib/drv/generic/remote_clock_dev.c
===================================================================
--- uspace/lib/drv/generic/remote_clock_dev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_clock_dev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -75,5 +75,5 @@
 	ipc_callid_t cid;
 	struct tm t;
-	errno_t rc;
+	int rc;
 	size_t len;
 
@@ -114,5 +114,5 @@
 {
 	clock_dev_ops_t *clock_dev_ops = (clock_dev_ops_t *) ops;
-	errno_t      rc;
+	int          rc;
 	struct tm    t;
 	ipc_callid_t cid;
Index: uspace/lib/drv/generic/remote_hw_res.c
===================================================================
--- uspace/lib/drv/generic/remote_hw_res.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_hw_res.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -79,5 +79,5 @@
 	
 	const int irq = DEV_IPC_GET_ARG1(*call);
-	const errno_t ret = hw_res_ops->enable_interrupt(fun, irq);
+	const int ret = hw_res_ops->enable_interrupt(fun, irq);
 	async_answer_0(callid, ret);
 }
@@ -94,5 +94,5 @@
 	
 	const int irq = DEV_IPC_GET_ARG1(*call);
-	const errno_t ret = hw_res_ops->disable_interrupt(fun, irq);
+	const int ret = hw_res_ops->disable_interrupt(fun, irq);
 	async_answer_0(callid, ret);
 }
@@ -109,5 +109,5 @@
 	
 	const int irq = DEV_IPC_GET_ARG1(*call);
-	const errno_t ret = hw_res_ops->enable_interrupt(fun, irq);
+	const int ret = hw_res_ops->enable_interrupt(fun, irq);
 	async_answer_0(callid, ret);
 }
@@ -153,5 +153,5 @@
 	const uint32_t size = DEV_IPC_GET_ARG3(*call);
 
-	const errno_t ret = hw_res_ops->dma_channel_setup(
+	const int ret = hw_res_ops->dma_channel_setup(
 	    fun, channel, address, size, mode);
 	async_answer_0(callid, ret);
@@ -169,5 +169,5 @@
 	const unsigned channel = DEV_IPC_GET_ARG1(*call);
 	size_t remain = 0;
-	const errno_t ret = hw_res_ops->dma_channel_remain(fun, channel, &remain);
+	const int ret = hw_res_ops->dma_channel_remain(fun, channel, &remain);
 	async_answer_1(callid, ret, remain);
 }
Index: uspace/lib/drv/generic/remote_ieee80211.c
===================================================================
--- uspace/lib/drv/generic/remote_ieee80211.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_ieee80211.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -59,8 +59,8 @@
  *
  * @return EOK If the operation was successfully completed,
- *         error code otherwise.
- *
- */
-errno_t ieee80211_get_scan_results(async_sess_t *dev_sess,
+ *         negative error code otherwise.
+ *
+ */
+int ieee80211_get_scan_results(async_sess_t *dev_sess,
     ieee80211_scan_results_t *results, bool now)
 {
@@ -71,13 +71,13 @@
 	aid_t aid = async_send_2(exch, DEV_IFACE_ID(IEEE80211_DEV_IFACE),
 	    IEEE80211_GET_SCAN_RESULTS, now, NULL);
-	errno_t rc = async_data_read_start(exch, results,
+	int rc = async_data_read_start(exch, results,
 	    sizeof(ieee80211_scan_results_t));
 	async_exchange_end(exch);
 	
-	errno_t res;
+	sysarg_t res;
 	async_wait_for(aid, &res);
 	
 	if(res != EOK)
-		return (errno_t) res;
+		return (int) res;
 	
 	return rc;
@@ -100,5 +100,5 @@
 	size_t count;
 	
-	errno_t rc = inetcfg_get_link_list(&link_list, &count);
+	int rc = inetcfg_get_link_list(&link_list, &count);
 	if (rc != EOK)
 		return -1;
@@ -123,12 +123,12 @@
  *
  * @return EOK If the operation was successfully completed,
- *         error code otherwise.
- *
- */
-errno_t ieee80211_connect(async_sess_t *dev_sess, char *ssid_start, char *password)
+ *         negative error code otherwise.
+ *
+ */
+int ieee80211_connect(async_sess_t *dev_sess, char *ssid_start, char *password)
 {
 	assert(ssid_start);
 	
-	errno_t rc_orig;
+	sysarg_t rc_orig;
 	
 	async_exch_t *exch = async_exchange_begin(dev_sess);
@@ -137,5 +137,5 @@
 	    IEEE80211_CONNECT, NULL);
 	
-	errno_t rc = async_data_write_start(exch, ssid_start,
+	sysarg_t rc = async_data_write_start(exch, ssid_start,
 	    str_size(ssid_start) + 1);
 	if (rc != EOK) {
@@ -144,7 +144,7 @@
 		
 		if (rc_orig == EOK)
-			return (errno_t) rc;
-		
-		return (errno_t) rc_orig;
+			return (int) rc;
+		
+		return (int) rc_orig;
 	}
 	
@@ -159,7 +159,7 @@
 		
 		if (rc_orig == EOK)
-			return (errno_t) rc;
-		
-		return (errno_t) rc_orig;
+			return (int) rc;
+		
+		return (int) rc_orig;
 	}
 	
@@ -182,5 +182,5 @@
 	rc = dhcp_discover(link_id);
 	
-	return (errno_t) rc;
+	return (int) rc;
 }
 
@@ -190,11 +190,11 @@
  *
  * @return EOK If the operation was successfully completed,
- *         error code otherwise.
- *
- */
-errno_t ieee80211_disconnect(async_sess_t *dev_sess)
+ *         negative error code otherwise.
+ *
+ */
+int ieee80211_disconnect(async_sess_t *dev_sess)
 {
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	errno_t rc = async_req_1_0(exch, DEV_IFACE_ID(IEEE80211_DEV_IFACE),
+	int rc = async_req_1_0(exch, DEV_IFACE_ID(IEEE80211_DEV_IFACE),
 	    IEEE80211_DISCONNECT);
 	async_exchange_end(exch);
@@ -278,5 +278,5 @@
 	bool now = IPC_GET_ARG2(*call);
 	
-	errno_t rc = ieee80211_iface->get_scan_results(fun, &scan_results, now);
+	int rc = ieee80211_iface->get_scan_results(fun, &scan_results, now);
 	if (rc == EOK) {
 		ipc_callid_t data_callid;
@@ -324,5 +324,5 @@
 	}
 	
-	errno_t rc = async_data_write_finalize(data_callid, ssid_start, len);
+	int rc = async_data_write_finalize(data_callid, ssid_start, len);
 	if (rc != EOK) {
 		async_answer_0(data_callid, EINVAL);
@@ -360,5 +360,5 @@
 	ieee80211_iface_t *ieee80211_iface = (ieee80211_iface_t *) iface;
 	assert(ieee80211_iface->disconnect);
-	errno_t rc = ieee80211_iface->disconnect(fun);
+	int rc = ieee80211_iface->disconnect(fun);
 	async_answer_0(callid, rc);
 }
Index: uspace/lib/drv/generic/remote_led_dev.c
===================================================================
--- uspace/lib/drv/generic/remote_led_dev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_led_dev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -77,5 +77,5 @@
 	}
 	
-	errno_t rc = (*led_dev_ops->color_set)(fun, color);
+	int rc = (*led_dev_ops->color_set)(fun, color);
 	async_answer_0(callid, rc);
 }
